Subject: RE: gitweb improvements

From: "Tjernlund" <[email-masked]>
Date: Mon, 6 Oct 2008 00:25:03 +0200

> -----Original Message-----
> From: Jakub Narebski [mailto:[email-masked]]
> Sent: den 5 oktober 2008 19:22
> To: Tjernlund
> Cc: 'git'
> Subject: Re: gitweb improvements
> 
> "Tjernlund" <[email-masked]> writes:
> 
> > When I browse a repo using gitweb, I miss two things:
> > 1) looking at the history for a file or directory I really want
> >    to see the tags there too.
> 
> Should be easy to do, but would probably wait (and be indirect result)
> of refactoring/unification of log-like views code ('log', 'shortlog',
> 'history', perhaps also 'rss', 'atom', 'search')
> 
> I have added it to my gitweb TODO list...

Great! Thanks.

> 
> > 2) looking at a merge like:
> > http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-
> 2.6.git;a=commit;h=66120005e65eed8a05b14a36ab448bdec42f0d6b
> >    is somewhat confusing. It really doesn't tell you which commits that is
> >    included in the merge.
> 
> I don't understand you there. First, you have "(merge: 0d0f3ef 9778e9a)"
> in the navbar, so you can easily go to commit view for parents. Second,
> among commit headers you have two "parent", where SHA-1 of a commit is
> hidden link, and there are also 'commit' and 'diff' link for those.

hmm, looks like I overlooked "(merge: 0d0f3ef 9778e9a)" part. However, I can't
find the "ALSA: make the CS4270 driver a new-style I2C driver" from within
this page.

> --
> Jakub Narebski
> Poland
> ShadeHawk on #git